Update Stream Filter Subscription

Dynamically mutates monitored wallet addresses, market tags, or series slugs without disconnecting SSE clients
PUT/streams/{id}/subscription

Request Parameters

Required headers and parameter specifications for this endpoint.

Headers
HeaderTypeRequiredDescription
X-PolyEdge-KeystringrequiredPolyEdge API Key for client authentication and rate-limiting
Content-TypestringrequiredMust be set to application/json
Path Parameters
ParameterTypeRequiredDescription
idstringrequiredStream ID
Request Body (application/json)
Request Payload
FieldTypeDescription
addresses
string[]-
series
string[]-
tags
string[]-

Response (200 OK)

Field definitions for the successful response payload.

application/json
200 Response Example
json
{
  "active_sessions": 0,
  "addresses": [
    "0x2005d16a84ceefa912d4e380cd32e7ff827875ea"
  ],
  "created_at": "2026-09-29T09:01:46.05491822Z",
  "enabled": true,
  "id": "9bae9005-9ef1-4f17-8658-36ea54536836",
  "name": "Temporary Sample Stream",
  "series": [
    "itf"
  ],
  "tags": [
    "sports",
    "tennis"
  ],
  "updated_at": "2026-09-29T09:01:49.262222938Z"
}
Response Body Fields
FieldTypeDescription
active_sessions
integer-
addresses
string[]-
created_at
string-
enabled
boolean-
id
string-
name
string-
series
string[]-
tags
string[]-
updated_at
string-

cURL Example

Copy and run this command directly in your terminal to test this endpoint.

cURL: PUT /streams/{id}/subscription
bash
curl -X PUT "https://stream.polyedge.dev/streams/9bae9005-9ef1-4f17-8658-36ea54536836/subscription" \
  -H "Content-Type: application/json" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey" \
  -d '{
    "addresses": [
      "0x2005d16a84ceefa912d4e380cd32e7ff827875ea"
    ],
    "series": [
      "itf"
    ],
    "tags": [
      "sports",
      "tennis"
    ]
  }'